---
import Footer from '../components/Footer.astro';
import Navbar from '../components/Navbar.astro';


export interface Props {
	title: string;
}

const { title } = Astro.props;
---

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width" />
		<link rel="icon" type="image/svg+xml" href="/favicon.svg" />
		<meta name="generator" content={Astro.generator} />
		<title>{title}</title>
	</head>
	<body>
		<Navbar/>
		<slot />	
		<Footer/>	
	</body>
</html>
<!-- <style is:global>
	:root {
		--accent: 124, 58, 237;
		--accent-gradient: linear-gradient(
			45deg,
			rgb(var(--accent)),
			#da62c4 30%,
			white 60%
		);
	}
	html ,body{
		font-family: 'Montserrat';
		background-color: white;
	}
	
</style> -->
